---------------------
PatchSet 3132 
Date: 2005/04/20 13:44:08
Author: tiwai
Branch: HEAD
Tag: (none) 
Log:
Summary: Show PIN jack type

Show the jack type of each PIN default configuration entry.

Members: 
	pci/hda/hda_proc.c:1.2->1.3 

Index: /sound/pci/hda/hda_proc.c
diff -u /sound/pci/hda/hda_proc.c.old /sound/pci/hda/hda_proc.c
--- /sound/pci/hda/hda_proc.c.old	Thu Mar 24 04:02:54 2005
+++ /sound/pci/hda/hda_proc.c	Wed Apr 20 05:44:08 2005
@@ -157,6 +157,7 @@
 static void print_pin_caps(snd_info_buffer_t *buffer,
 			   struct hda_codec *codec, hda_nid_t nid)
 {
+	static char *jack_conns[4] = { "Jack", "N/A", "Fixed", "Both" };
 	static char *jack_types[16] = {
 		"Line Out", "Speaker", "HP Out", "CD",
 		"SPDIF Out", "Digital Out", "Modem Line", "Modem Hand",
@@ -176,7 +177,8 @@
 		snd_iprintf(buffer, " HP");
 	snd_iprintf(buffer, "\n");
 	caps = snd_hda_codec_read(codec, nid, 0, AC_VERB_GET_CONFIG_DEFAULT, 0);
-	snd_iprintf(buffer, "  Pin Default 0x%08x: %s at %s %s\n", caps,
+	snd_iprintf(buffer, "  Pin Default 0x%08x: [%s] %s at %s %s\n", caps,
+		    jack_conns[(caps & AC_DEFCFG_PORT_CONN) >> AC_DEFCFG_PORT_CONN_SHIFT],
 		    jack_types[(caps & AC_DEFCFG_DEVICE) >> AC_DEFCFG_DEVICE_SHIFT],
 		    jack_locations[(caps >> (AC_DEFCFG_LOCATION_SHIFT + 4)) & 3],
 		    get_jack_location(caps));
